Bug 14941 - Image corruption in default iinstall -XF86 4.01
Summary: Image corruption in default iinstall -XF86 4.01
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-01 02:27 UTC by Rob K
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 00:22:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot showing courrption - llargish (157.24 KB, image/jpeg)
2000-08-01 02:43 UTC, Rob K
no flags Details

Description Rob K 2000-08-01 02:27:41 UTC
Severe image and font corruption in default install.. Can be fixed by
refreshing the application window, but it comes right back,

Card: Matrox G200 AGP 8MB

Comment 1 Rob K 2000-08-01 02:43:09 UTC
Created attachment 1735 [details]
Screen shot showing courrption - llargish

Comment 2 Chris Kloiber 2000-08-01 05:49:31 UTC
I'm not sure if this is related or not- but on my system (Athlon
800/MSI-6330/Voodoo3/NEC MultiSync 5FGe) it is not a good idea to "Test this
Configuration" during a graphical install. I selected 1024x768x16bpp (works in
Zoot) but here the test appears in 640x480 ("Can you see this" is in lower right
of screen and you scroll around). If you say yes you are returned to the
installer, but the screen is corrupted, the mouse still moves, but no input is
accepted from the keyboard (not even CTRL-ALT-BKSPACE). After trying several
times, I went 'text' and it installed fine.

Comment 3 Rob K 2000-08-01 09:48:54 UTC
Additional info:

Corruption only occurs if the agpgart module is loaded. Is this module still
needed for DRM/GLX in XF86 4.0.1?

With the module unloaded, all is fine.

Comment 4 Bill Nottingham 2000-08-03 03:12:27 UTC
Yes, it is needed.

Does it persist if you load agpgart but *not* the mga
kernel module?

Comment 5 Rob K 2000-08-03 03:22:44 UTC
How can I /not/ load the mga module? It's required for my X server.



Comment 6 Rob K 2000-08-03 03:31:47 UTC
It also appears that the agpgart module doesn't automatically load - I've been
using modprobe agpgart. I'm using runlevel 5, logging in with gdm.


Comment 7 Bill Nottingham 2000-08-06 22:48:47 UTC
The mga module isn't required except for 3D support.
You can cause it not to load by removing:

  Module "dri"

from /etc/X11/XF86Config-4.

Comment 8 Rob K 2000-08-07 01:06:26 UTC
I've commented out the "dri" line from XF86Config-4, and the corruption is gone,
with or without a modprobe agpgart. 3D stuff (such as the gears screensave) is
very slow without agpgart, however, and Q3 is unusable.

Comment 9 hjl 2000-08-14 00:22:45 UTC
Please try:

http://www.lucon.org/xfree86/4.0.1/g200.patch

Comment 10 Bill Nottingham 2000-08-14 22:53:55 UTC
That patch will be in XFree86-4.0.1-0.44, and it should fix
this problem.


Note You need to log in before you can comment on or make changes to this bug.